/* CLIENT SUMMARY SECTION */
.summary-sub-panel .column-flex-container {
    height: 100%;
}

.summary-sub-panel.grid-panel {
    display: grid;
    grid-template-columns: repeat(3, 33%);
}

#worker-birth-date {
    height: 3.5em;
}

.summary-sub-panel.grid-panel.worker-grid-panel {
    grid-template-columns: repeat(2, 50%);
}

.grid-reduc {
    width: 88%;
}

.button-container {
    height: 100%;
    width: 3em;
}

.grid-panel input {
    width: 100%;
}

#worker-birth-date {
    height: 3.5em;
}

.summary-sub-panel {
    display: grid;
    grid-template-columns: 35% 60%;
    gap: 2em;
    justify-content: center;
    align-items: flex-start;
    margin: auto;
    width: 100%;
    padding: 2vw;
}

.description-text-title {
    color: var(--primary-color);
    font-weight: 600;
}

.feature-image-container i,
.gallery-panel i {
    cursor: pointer;
}

.gallery-panel img {
    min-width: 8vw;
    max-width: 8vw;
}

.birth-date-container {
    background: var(--secondary-color);
    color: #fff;
    padding:.5em 1em;
    border-radius:4em;
}

.description-text {
    font-size: 1.4em;
    width: 100%;
}

.feature-image-container span:not(#edit-room-data), 
.gallery-panel span:not(#edit-room-data) {
  font-size: 1.5em;
  margin-left: 3%;
}

.password{
    display: flex;
    width: 100%;
    gap:.5em;
}

.feature-title-container{
    display: flex;
    justify-content: center;
    width: 100%;
}

.feature-title-container span#edit-worker-data span,
.feature-title-container span#info-worker-data span,
.feature-title-container span#edit-client-data span,
.feature-title-container span#info-client-data span
{
    font-size: 1em;
    width:8em;
}

.feature-title-container span#edit-worker-data,
.feature-title-container span#info-worker-data,
.feature-title-container span#edit-client-data,
.feature-title-container span#info-client-data{
    font-size: 1em;
    width:8em;
}

.feature-title-container span:first-child{
    width: 15em;
}
.feature-image-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.clickable-container i,
.clickable-container svg {
    pointer-events: none;
}

/* .feature-image-container img {
    min-width: 25vw;
    max-width: 25vw;
} */

.feature-image-container img,
.gallery-panel img {
    cursor: pointer;
    width: 300px;
    height: 300px;
    /* object-fit: cover; */
    border-radius: 50%;
}

.sub-title {
    font-size: 2em;
}

.summary-panel {
    width: 98.5%;
    margin: auto;
    display: flex;
    flex-direction: column;
}

.image-panel {
    display: flex;
    gap: 1vw;
    justify-content: center;
    align-items: center;
}

.exp-action-button-container {
    width: 100%;
}

.exp-action-button-container #edit-data {
    width: 100%;
    margin-left: 0;
    display: flex;
    gap: .5vw;
    justify-content: center;
    align-content: center;
}

.category-text {
    margin-left: 1.5vw;
}

.grid-container .list-separator {
    grid-column: 1/3;
}

.exp-action-button-container {
    display: flex;
    justify-content: initial;
}

i.principal-image-alt {
    font-size: 450px;
}

.summary-description span,
.summary-description label {
    font-size: 1.2em;
}

.grid-two-columns {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(2, 1fr);
    gap: 1vw;
}

.hidden-div {
    display: none !important;
}

.summary-description {
    display: flex;
    flex-direction: column;
    gap: 1vw;
    /* margin-top: 2vw; */
}

.secondary-image {
    font-size: 150px;
}

.gallery-panel {
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    gap: .5vw;
    height: 27vw;
    width: 100%;
    min-width: 9vw;
}

.color-border.input {
    width: 100%;
    font-size: 1.2em;
    padding: .7em;
}

/* SEASONS SECTION */

.seasons-panel .seasons-select-container {
    width: 20vw;
}

.seasons-panel {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 2vw 1vw;
    width: 98.5%;
}

.season-element span {
    font-size: 1.2em;
}

.season-element span.season-name {
    font-size: 1.5em;
}

.season-flex-element {
    display: flex;
    justify-content: center;
    align-items: center;
}

.season-element {
    padding: 1vw;
    border: 1px solid var(--primary-color);
    border-radius: .5vw;
    display: flex;
    width: 98%;
    margin-left: 1.5em;
}

.season-grid-container {
    display: grid;
    width: 95%;
    grid-template-columns: 13% 10%;
    gap: 2vw;
    padding-left: .6vw;
}

.column-flex-container {
    display: flex;
    flex-direction: column;
    gap: .5vw;
    align-items: flex-start;
}

.flex-container {
    display: flex;
    gap: .5vw;
    align-items: center;
    justify-content: center;
}


.seasons-panel .exp-action-button#edit-data {
    width: 10vw;
    margin-left: auto;
    margin-bottom: 1vw;
}

.seasons-panel .season-flex-container .exp-action-button#edit-data {
    margin-left: unset;
}

.season-flex-container .exp-action-button-container {
    width: max-content;
}

.seasons-panel .season-flex-container .exp-action-button#edit-data {
    margin-bottom: 0;
}


.season-flex-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 98.2%;
    margin-bottom: 1vw;
    margin-left: 1.5em;
}

/* AMENITIES SECTION */


.amenities-panel .amenities-select-container {
    width: 20vw;
}

.amenities-panel {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 2vw 1vw;
    width: 98.5%;
}

.amenity-element span {
    font-size: 1.2em;
}

span.amenity-name {
    font-size: 1.5em;
}

.amenity-flex-element {
    display: flex;
    text-align: left;
    justify-content: flex-start;
}

.amenity-info-element {
    padding: 1vw;
    border: 1px solid var(--primary-color);
    border-radius: .5vw;
    width: 45%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-left: 1.5em;
}

.amenity-element {
    padding: 1vw;
    border: 1px solid var(--primary-color);
    border-radius: .5vw;
    display: grid;
    grid-template-columns: 90% 10%;
    justify-content: flex-start;
    align-items: center;
    margin-left: 1.5em;
}

.amenities-panel .exp-action-button#edit-data {
    width: 10vw;
    margin-left: auto;
    margin-bottom: 1vw;
}

.amenities-panel .amenity-flex-container .exp-action-button#edit-data {
    margin-left: unset;
}

.amenity-flex-container .exp-action-button-container {
    width: max-content;
}

.amenities-panel .amenity-flex-container .exp-action-button#edit-data {
    margin-bottom: 0;
}


.amenity-flex-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 98.2%;
    margin-bottom: 1vw;
    margin-left: 1.5em;
}

/* EXP/SYNC CALENDAR */
.sync-calendar-container {
    display: grid;
    grid-template-columns: 35% 60%;
    gap: .6vw;
    justify-content: center;
    align-items: center;
}

#room_sync_calendar_input {
    height: 3.2em
}